Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.client.protocol
Class RequestProxyAuthentication

    java.lang.Object
      org.apache.http.client.protocol.RequestProxyAuthentication

All Implemented Interfaces:
  HttpRequestInterceptor

    @Immutable
    public class RequestProxyAuthentication

extends Object

Generates authentication header for the proxy host, if required, based on the actual state of the HTTP authentication context.

Since:
  4.0

Constructor Summary
`RequestProxyAuthentication()`

Method Summary
`void` | `process(HttpRequest request, HttpContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestProxyAuthentication

    public RequestProxyAuthentication()

Method Detail

### process

    public void process(HttpRequest request,
                        HttpContext context)
                 throws HttpException,
                        IOException

  Throws:
    `HttpException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.